Subject: Re: [dhcwg] Additional feedback on secure DHCPv6 draft

From: Francis Dupont <[email-masked]>
Date: Mon, 10 Aug 2015 17:04:54 +0200

In your previous mail you wrote:

>  At Mon, 20 Jul 2015 16:03:33 +0200,
>  Francis Dupont <[email-masked]> wrote:
>  
>  > >  A big question that probably should be answered in the introduction or
>  > >  under security considerations is "what security vulnerabilities are we
>  > >  trying to mitigate?".
>  [...]
>  > >  Given all that, what are the threats?
>  >
>  > => for me the main 2 examples is the guy which tries to get your address
>  > (i.e., inpersonate your application server) and the bad guy which
>  > releases your address (i.e., basic denial of service).
>  
>  These can be prevented with the existing RFC3315 authentication
>  mechanism.  So we'd need to explain why we need to introduce a new
>  mechanism to prevent them.  To that end, and in my understanding of
>  previous discussions, all we can say is this:

=> both (RFC 3315 auth and secure DHCPv6) are security mechanisms
(so they can prevent the same kind of attacks) but they are not
equivalent from the deployment/usage point of view.

>  > But in fact the goal is to raise the DHCPv6 security from its current
>  > level (i.e., nearly no usable security at all) to a point where it is
>  > not too ridiculous compared to SEND (RFC 3971).
>  
>  but unless we show how we can practically integrate PKI (or some other
>  way for public key distribution/sharing) with secure DHCPv6,

=> I believe we have today enough proofs if we put this on the
secure DHCPv6 boat it won't float...

>  I'm not sure how we can move forward from this point.  I'm pessimistic
>  about revising the document so it can show the integration of PKI or
>  more persuading scenarios of TOFU based on the history of this
>  document.

=> I am pessimistic too: I think we should keep this outside the document
and address it when we'll have real world deployment/usage.

Regards

[email-masked]

PS: there should be other messages about secure DHCPv6: I was on holidays
2 weeks after the IETF meeting.